Package org.apache.torque

# Class ConstraintViolationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
org.apache.torque.TorqueException
org.apache.torque.ConstraintViolationException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

public class ConstraintViolationException extends TorqueException
This exception is thrown if a database operation violates a database constraint, e.g. a foreign key constraint, a unique constraint or a not-null constraint.

Version:
  $Id: ConstraintViolationException.java 1448414 2013-02-20 21:06:35Z tfischer $
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConstraintViolationException(String msg, Throwable nested)`
  Constructs a new `ConstraintViolationException` with specified detail message and nested `Throwable`.
  `ConstraintViolationException(Throwable nested)`
  Constructs a new `ConstraintViolationException` with specified nested `Throwable`.

- ## Method Summary

  ### Methods inherited from class java.sql.SQLException

  `getErrorCode, getNextException, getSQLState, iterator, setNextException`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### ConstraintViolationException

    public ConstraintViolationException(Throwable nested)
    Constructs a new `ConstraintViolationException` with specified nested `Throwable`.
    Parameters:
      `nested` - the exception or error that caused this exception to be thrown.

  - ### ConstraintViolationException

    public ConstraintViolationException(String msg, Throwable nested)
    Constructs a new `ConstraintViolationException` with specified detail message and nested `Throwable`.
    Parameters:
      `msg` - the error message.
      `nested` - the exception or error that caused this exception to be thrown.